﻿



/*//////////////////////////////////////////////////////////////////
[ FONT ]*/

@font-face {
  font-family: Poppins-Regular;
  src: url('../fonts/poppins-regular.ttf'); 
}

@font-face {
  font-family: Poppins-Bold;
  src: url('../fonts/poppins-bold.ttf'); 
}

@font-face {
  font-family: Poppins-Medium;
  src: url('../fonts/poppins-medium.ttf'); 
}

@font-face {
  font-family: Montserrat-Bold;
  src: url('../fonts/montserrat-bold.ttf'); 
}

/*//////////////////////////////////////////////////////////////////
[ RESTYLE TAG ]*/

* {
	margin: 0px; 
	padding: 0px; 
	box-sizing: border-box;
}

body, html {
	height: 100%;
	font-family: Poppins-Regular, sans-serif;
}

/*---------------------------------------------*/
a {
	font-family: Poppins-Regular;
	font-size: 15px;
	line-height: 1.7;
	color: white;
	margin: 0px;
	transition: all 0.4s;
	-webkit-transition: all 0.4s;
  	-o-transition: all 0.4s;
  	-moz-transition: all 0.4s;
}

a:focus {
	outline: none !important;
}

a:hover {
	text-decoration: none;
  	color: #57b846;
}

/*---------------------------------------------*/
h1,h2,h3,h4,h5,h6 {
	margin: 0px;
}

p {
	font-family: Poppins-Regular;
	font-size: 15px;
	line-height: 1.7;
	color: #666666;
	margin: 0px;
}

ul, li {
	margin: 0px;
	list-style-type: none;
}


/*---------------------------------------------*/
input {
	outline: none;
	border: none;
}

textarea {
  outline: none;
  border: none;
}

textarea:focus, input:focus {
  border-color: transparent !important;
}

input:focus::-webkit-input-placeholder { color: #999999; }
input:focus:-moz-placeholder { color: #999999; }
input:focus::-moz-placeholder { color: #999999; }
input:focus:-ms-input-placeholder { color: #999999; }

textarea:focus::-webkit-input-placeholder { color: #999999; }
textarea:focus:-moz-placeholder { color: #999999; }
textarea:focus::-moz-placeholder { color: #999999; }
textarea:focus:-ms-input-placeholder { color: #999999; }

input::-webkit-input-placeholder { color: #616161; }
input:-moz-placeholder { color: #616161; }
input::-moz-placeholder { color: #616161; }
input:-ms-input-placeholder { color: #616161; }

textarea::-webkit-input-placeholder { color: #616161; }
textarea:-moz-placeholder { color: #616161; }
textarea::-moz-placeholder { color: #616161; }
textarea:-ms-input-placeholder { color: #616161; }

/*---------------------------------------------*/
button {
	outline: none !important;
	border: none;
	background: transparent;
}

button:hover {
	cursor: pointer;
}
/*去掉在手机浏览器上点击按钮的蓝色动画*/
a,img,button,input,textarea{
  	-webkit-tap-highlight-color:transparent;
}

iframe {
	border: none !important;
}


/*//////////////////////////////////////////////////////////////////
[ Utility ]*/

/*复选框对齐*/
input,label{
    vertical-align:middle;
}

.txt1 {
  font-family: Poppins-Regular;
  font-size: 15px;
  line-height: 1.5;
  color: #03A9F4;
}

/*公共*/
.txt2,.txt5,.txt6,.txt7 {
  font-family: Poppins-Regular;
  line-height: 1.5;
  color: white;
}
/*增加字体*/
.txt2 {
  font-size: 15px;
}
/*增加字体*/
.txt5 {
  font-size: 15px;
}
/*增加字体*/
.txt6 {
  font-size: 24px;
}
/*增加字体*/
.txt7 {
  font-size: 18px;
  font-weight: bold;
}
/*//////////////////////////////////////////////////////////////////
[ login ]*/

/*防止IE浏览器元素不居中*/
.login {
  width: 100%;
  margin: 0 auto;
  display: flex;
}

.container-login100 {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 15px;
  background: #0093E9;
}

/*网站分组：不同站点显示不同的风格*/
.bg-style-0 {
  background: linear-gradient(45deg, #0093E9 50%, #FC00FF 100%);
}

.bg-style-1 {
  background: linear-gradient(45deg, #0093E9 50%, #FC00FF 100%);
}

.bg-style-2 {
  background: linear-gradient(45deg, #833cc7 50%, #c183e1 100%);
}

/*使界面透明 增加美观度 增加输入框宽度*/
.wrap-login100 {
  width: 960px;
  background: transparent;
  border-radius: 10px;
  overflow: hidden;
  align-items: center;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 30px 80px 33px 95px;
}

/*------------------------------------------------------------------
[  ]*/
/*将界面图片改为背景图片 防止加载不出来的时候 出现一个叉*/
.login100-pic {
  width: 316px;
  min-height: 300px;
  background: url(../images/headbg-ins.png) center center no-repeat;
}

.login100-pic img {
  max-width: 100%;
}

/*再增加一张背景图*/
.snsn-login100-pic {
  width: 316px;
  min-height: 300px;
  background: url(../images/headbg-android.png) center center no-repeat;
}

.snsn-login100-pic img {
  max-width: 100%;
}


/*------------------------------------------------------------------
[  ]*/
/*输入框变宽后 元素也需要变宽*/
.login100-form {
  width: 340px;
  min-height: 100px;
}

/*公共*/
.login100-form-title,.snsn-front-title,.snsn-front-title2 {
  font-family: Poppins-Bold;
  line-height: 1.2;

  width: 100%;
  display: block;
}
/*原版 字体改成白色*/
.login100-form-title {
  font-size: 24px;
  text-align: center;
  color: white;

  padding-bottom: 54px;
}
/*首页字体*/
.snsn-front-title {
  padding-left: 15px;
  line-height: 1.5;
  font-size: 45px;
  font-weight: 700;
  color: white;
}
/*首页字体*/
.snsn-front-title2 {
  padding-left: 15px;
  line-height: 1.5;
  font-size: 45px;
  font-weight: 700;
  color: #84ebad;
}
/*无下划线*/
.no-decoration {
  text-decoration: none;
}
/*---------------------------------------------*/
/*公共*/
.wrap-input100,.snsn-wrap-input100,.wrap-input101 {
  position: relative;
  width: 100%;
  z-index: 1;
}
/*原版*/
.wrap-input100 {
  margin-bottom: 10px;
}
/*增加 包裹框 下边变长*/
.wrap-input101 {
  margin-bottom: 13px;
}
/*增加 包裹框 下边极短*/
.snsn-wrap-input100 {
  text-align:center;
  margin-bottom: 0;
}
/*增加 包裹框 有右边距*/
.wrap-input100-center {
  text-align:center;
  margin: 0 6% 0 6%;
}

/*公共*/
.input100,.snsn-alert-form {
  font-family: Poppins-Medium;
  font-size: 15px;
  line-height: 1.5;

  display: block;
  width: 100%;
  background: white;
  border-radius: 25px;
}
/*原版 输入框背景改成白色*/
.input100 {
  color: #666666;

  height: 50px;
  padding: 0 30px 0 68px;
}
/*提醒元素*/
.snsn-alert-form {
  color: red;
  text-align: center;

  padding: 20px 20px 20px 20px;
}

/*------------------------------------------------------------------
[ Focus ]*/
.focus-input100 {
  display: block;
  position: absolute;
  border-radius: 25px;
  bottom: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  box-shadow: 0px 0px 0px 0px;
  color: rgba(87,184,70, 0.8);
}

.input100:focus + .focus-input100 {
  -webkit-animation: anim-shadow 0.5s ease-in-out forwards;
  animation: anim-shadow 0.5s ease-in-out forwards;
}

@-webkit-keyframes anim-shadow {
  to {
    box-shadow: 0px 0px 70px 25px;
    opacity: 0;
  }
}

@keyframes anim-shadow {
  to {
    box-shadow: 0px 0px 70px 25px;
    opacity: 0;
  }
}
/*公共*/
.symbol-input100,.capsLock,.passwordCheck,.passwordCheckGUI {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  position: absolute;
  pointer-events: none;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}
.symbol-input100 {
  font-size: 15px;

  bottom: 0;
  border-radius: 25px;
  left: 0;
  width: 100%;
  height: 100%;
  padding-left: 35px;
  color: #666666;
}
/*大写锁定提示*/
.capsLock {
  font-family: Montserrat-Bold;
  font-size: 13px;
  line-height: 1.5;

  bottom: 0;
  border-radius: 1px 25px 25px 1px;
  right: 0; 
  width: 15%;
  height: 100%;
  color: red;
}
/*密码强度提示*/
.passwordCheck {
  font-family: Montserrat-Bold;
  font-size: 13px;
  line-height: 1;

  bottom: 0;
  width: 100%;
  padding-left: 65px;
  color: #616161;
}
/*密码强度提示*/
.passwordCheckGUI {
  bottom: -10px;
  width:100%;
  padding: 1px 50px 0 65px;
}
.passwordCheckGUI1,.passwordCheckGUI2,.passwordCheckGUI3 {
  width: 25%;
  height: 8px;
  float: left;
}
.passwordCheckGUI1 {
  border-radius:10px 0 0 10px;
  margin:0 2px 0 0;
}
.passwordCheckGUI2 {
  margin:0 2px 0 0;
}
.passwordCheckGUI3 {
  border-radius:0 10px 10px 0;
}
.input100:focus + .focus-input100 + .symbol-input100 {
  color: #57b846;
  padding-left: 28px;
}

/*------------------------------------------------------------------
[ Button ]*/
.container-login100-form-btn {
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-top: 10px;
}
/*公共*/
.login100-form-btn,.snsn-login100-form-btn,.snsn-login50-form-btn,.snsn-keep-moving {
  font-family: Montserrat-Bold;
  line-height: 1.5;
  color: #fff;
  text-transform: uppercase;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}
/*原版*/
.login100-form-btn {
  font-size: 15px;

  width: 100%;
  height: 50px;
  border-radius: 25px;
  background: #57b846;
  padding: 0 25px;
}
.login100-form-btn:hover {
  background: #2E7D32;
}
/*增加点击按钮变色*/
.login100-form-btn:active {
  background: #C8E6C9;
}
.login100-form-btn.disabled,.login100-form-btn[disabled],fieldset[disabled] .login100-form-btn {
	box-shadow: none;
	cursor: not-allowed;
}
/*获取验证码按钮*/
.snsn-login100-form-btn {
  font-size: 15px;

  width: 31%;
  height: 50px;
  border-radius: 1px 25px 25px 1px;
  background: #57b846;
  position: absolute;
  right: 0;  
  bottom: 0;
}
.snsn-login100-form-btn:hover {
  background: #2E7D32;
}
.snsn-login100-form-btn:active {
  background: #C8E6C9;
}
.snsn-login100-form-btn.disabled,.snsn-login100-form-btn[disabled],fieldset[disabled] .snsn-login100-form-btn {
	box-shadow: none;
	cursor: not-allowed;
}
/*小按钮*/
.snsn-login50-form-btn {
  font-size: 14px;

  width: 70px;
  height: 24px;
  border-radius: 25px;
  background: #57b846;
  display:inline-block;
}
.snsn-login50-form-btn:hover {
  background: #2E7D32;
}
.snsn-login50-form-btn:active {
  background: #C8E6C9;
}
/*首页继续按钮*/
.snsn-keep-moving {
  font-size: 40px;

  text-align: center;
  width: 65px;
  height: 65px;
  border-radius: 100px;
  background: #57b846;

  display:inline-block;
  margin-top: 40px;
}
.snsn-keep-moving:hover {
  -webkit-transform: scale(0.95);
  transform: scale(0.95);
}
.snsn-keep-moving .button-text {
  font-size: 15px;
  color: #ffffff;
  text-transform: uppercase;
  margin-top: -30px;
  margin-bottom: 10px;
}
/*------------------------------------------------------------------
[ Responsive ]*/



@media (max-width: 992px) {
  .wrap-login100 {
    padding: 90px 90px 33px 85px;
  }

  .login100-pic {
    width: 35%;
  }

  .login100-form {
    width: 50%;
  }
}

@media (max-width: 768px) {
  .wrap-login100 {
    padding: 50px 80px 33px 80px;
  }

  .login100-pic {
    display: none;
  }

  .login100-form {
    width: 100%;
  }
}

@media (max-width: 576px) {
  .wrap-login100 {
    padding: 50px 15px 33px 15px;
  }
}


/*------------------------------------------------------------------
[ Alert validate ]*/

.validate-input {
  position: relative;
}

.alert-validate::before {
  content: attr(data-validate);
  position: absolute;
  max-width: 70%;
  background-color: white;
  border: 1px solid #c80000;
  border-radius: 13px;
  padding: 4px 25px 4px 10px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 8px;
  pointer-events: none;

  font-family: Poppins-Medium;
  color: #c80000;
  font-size: 13px;
  line-height: 1.4;
  text-align: left;

  visibility: hidden;
  opacity: 0;

  -webkit-transition: opacity 0.4s;
  -o-transition: opacity 0.4s;
  -moz-transition: opacity 0.4s;
  transition: opacity 0.4s;
}

.alert-validate::after {
  content: "\f06a";
  font-family: FontAwesome;
  display: block;
  position: absolute;
  color: #c80000;
  font-size: 15px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 13px;
}

.alert-validate:hover:before {
  visibility: visible;
  opacity: 1;
}

@media (max-width: 992px) {
  .alert-validate::before {
    visibility: visible;
    opacity: 1;
  }
}